Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkTransmitUnstructuredGridPiece Class Reference

`#include <vtkTransmitUnstructuredGridPiece.h>`

Inheritance diagram for vtkTransmitUnstructuredGridPiece:

[legend]
Collaboration diagram for vtkTransmitUnstructuredGridPiece:

[legend]
List of all members.

## Detailed Description

Return specified piece, including specified.

Date:
  2002/08/12 15:20:30

Revision:
  1.7

number of ghost levels. .DESCRIPTION This filter updates the appropriate piece by requesting the piece from process 0. Process 0 always updates all of the data. It is important that Execute get called on all processes, otherwise the filter will deadlock.

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Hoffman, Bill (80%)
  - Cedilnik, Andy (8%)
  - Law, Charles (7%)

CVS logs (CVSweb):
  - .`h` (`/Parallel/vtkTransmitUnstructuredGridPiece.h)`
  - .`cxx` (`/Parallel/vtkTransmitUnstructuredGridPiece.cxx)`

Definition at line 47 of file vtkTransmitUnstructuredGridPiece.h.

## Public Types
typedef vtkUnstructuredGridToUnstructuredGridFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetController (vtkMultiProcessController *)
virtual vtkMultiProcessController * | GetController ()
virtual void | SetCreateGhostCells (int)
virtual int | GetCreateGhostCells ()
virtual void | CreateGhostCellsOn ()
virtual void | CreateGhostCellsOff ()
## Static Public Methods
vtkTransmitUnstructuredGridPiece * | New ()
int | IsTypeOf (const char *type)
vtkTransmitUnstructuredGridPiece * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkTransmitUnstructuredGridPiece ()
| ~vtkTransmitUnstructuredGridPiece ()
void | Execute ()
void | RootExecute ()
void | SatelliteExecute (int procId)
void | ExecuteInformation ()
void | ComputeInputUpdateExtents (vtkDataObject *out)
## Protected Attributes
int | CreateGhostCells
vtkMultiProcessController * | Controller

## Member Typedef Documentation

typedef vtkUnstructuredGridToUnstructuredGridFilter vtkTransmitUnstructuredGridPiece::Superclass

| Reimplemented from vtkUnstructuredGridToUnstructuredGridFilter. Definition at line 51 of file vtkTransmitUnstructuredGridPiece.h.

## Constructor & Destructor Documentation

vtkTransmitUnstructuredGridPiece::vtkTransmitUnstructuredGridPiece | ( |  | ) | `[protected]`

vtkTransmitUnstructuredGridPiece::~vtkTransmitUnstructuredGridPiece | ( |  | ) | `[protected]`

## Member Function Documentation

vtkTransmitUnstructuredGridPiece* vtkTransmitUnstructuredGridPiece::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkTransmitUnstructuredGridPiece::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkUnstructuredGridToUnstructuredGridFilter.

int vtkTransmitUnstructuredGridPiece::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkUnstructuredGridToUnstructuredGridFilter.

virtual int vtkTransmitUnstructuredGridPiece::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkUnstructuredGridToUnstructuredGridFilter.

vtkTransmitUnstructuredGridPiece* vtkTransmitUnstructuredGridPiece::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkUnstructuredGridToUnstructuredGridFilter.

void vtkTransmitUnstructuredGridPiece::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkUnstructuredGridToUnstructuredGridFilter.

virtual void vtkTransmitUnstructuredGridPiece::SetController | ( | vtkMultiProcessController * |  | ) | `[virtual]`

| By defualt this filter uses the global controller, but this method can be used to set another instead.

virtual vtkMultiProcessController* vtkTransmitUnstructuredGridPiece::GetController | ( |  | ) | `[virtual]`

| By defualt this filter uses the global controller, but this method can be used to set another instead.

virtual void vtkTransmitUnstructuredGridPiece::SetCreateGhostCells | ( | int |  | ) | `[virtual]`

| Turn on/off creating ghost cells (on by default).

virtual int vtkTransmitUnstructuredGridPiece::GetCreateGhostCells | ( |  | ) | `[virtual]`

| Turn on/off creating ghost cells (on by default).

virtual void vtkTransmitUnstructuredGridPiece::CreateGhostCellsOn | ( |  | ) | `[virtual]`

| Turn on/off creating ghost cells (on by default).

virtual void vtkTransmitUnstructuredGridPiece::CreateGhostCellsOff | ( |  | ) | `[virtual]`

| Turn on/off creating ghost cells (on by default).

void vtkTransmitUnstructuredGridPiece::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

void vtkTransmitUnstructuredGridPiece::RootExecute | ( |  | ) | `[protected]`

void vtkTransmitUnstructuredGridPiece::SatelliteExecute | ( | int | procId | ) | `[protected]`

void vtkTransmitUnstructuredGridPiece::ExecuteInformation | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkSource.

void vtkTransmitUnstructuredGridPiece::ComputeInputUpdateExtents | ( | vtkDataObject * | out | ) | `[protected, virtual]`

| What is the input update extent that is required to produce the desired output? By default, the whole input is always required but this is overridden in many subclasses. Reimplemented from vtkUnstructuredGridSource.

## Member Data Documentation

int vtkTransmitUnstructuredGridPiece::CreateGhostCells`[protected]`

| Definition at line 79 of file vtkTransmitUnstructuredGridPiece.h.

vtkMultiProcessController* vtkTransmitUnstructuredGridPiece::Controller`[protected]`

| Definition at line 80 of file vtkTransmitUnstructuredGridPiece.h.

The documentation for this class was generated from the following file:

- Parallel/vtkTransmitUnstructuredGridPiece.h